> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.fohlio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a shipment by ID



## OpenAPI

````yaml /swagger.yaml get /shipments/{id}
openapi: 3.0.1
info:
  title: Fohlio REST API
  description: This is the documentation for the Fohlio REST API.
  version: 1.0.0
servers:
  - url: /openapi
  - url: https://app.fohlio.com/be/openapi
security: []
paths:
  /shipments/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
    get:
      tags:
        - Shipment
      summary: Get a shipment by ID
      operationId: shipments#get
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/shipment'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
      security:
        - apiKey: []
components:
  schemas:
    shipment:
      type: object
      properties:
        id:
          type: integer
        currency:
          type: string
          nullable: true
        deliver_by:
          type: string
          format: date
          nullable: true
        delivery_date:
          type: string
          format: date
          nullable: true
        estimated_ship_date:
          type: string
          format: date
          nullable: true
        shipped_date:
          type: string
          format: date
          nullable: true
        received_date:
          type: string
          format: date
          nullable: true
        status:
          type: string
          enum:
            - not_shipped
            - arrival_expected
            - received
        notes:
          type: string
          nullable: true
        tracking_number:
          type: string
          nullable: true
        items:
          type: array
          items:
            $ref: '#/components/schemas/shipmentLineItem'
        shipping_client:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/contact'
        supplier:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/contact'
        purchase_order_ids:
          type: array
          items:
            type: integer
    error:
      type: object
      properties:
        error:
          type: string
    shipmentLineItem:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        spec_quantity:
          type: number
        ordered:
          type: number
        received:
          type: number
        shipped:
          type: number
    contact:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        data:
          type: object
          additionalProperties: true
          description: The details of the contact encoded in JSON format.
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/contactAddress'
        people:
          type: array
          items:
            $ref: '#/components/schemas/contactPerson'
        categories:
          type: array
          items:
            $ref: '#/components/schemas/contactCategory'
    contactAddress:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        phone:
          type: string
          nullable: true
        post_code:
          type: string
          nullable: true
        address_line_1:
          type: string
          nullable: true
        address_line_2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        priority:
          type: boolean
    contactPerson:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        position:
          type: string
          nullable: true
        note:
          type: string
          nullable: true
        priority:
          type: boolean
    contactCategory:
      type: object
      properties:
        id:
          type: integer
        type:
          type: string
          enum:
            - client
            - supplier
            - general_contractor
            - manufacture
            - warehouse
  securitySchemes:
    apiKey:
      type: apiKey
      name: authorization
      in: header

````